FROM mcr.microsoft.com/dotnet/core/sdk:3.1 as hot-reload-development-image

LABEL maintainer="Catalin Vasile <contact@catalinvasile.dev>"

WORKDIR /vsdbg

RUN apt-get update \
    && apt-get install -y wget curl vim nano zip unzip apt-transport-https lsof procps build-essential \
    && apt-get autoremove -y \
    && apt-get autoclean -y \
    && apt-get clean -y \
    && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*

RUN curl -sSL https://aka.ms/getvsdbgsh \
        | bash /dev/stdin -v latest -l /vsdbg

ENV DOTNET_USE_POLLING_FILE_WATCHER 1
WORKDIR /api

RUN ln -sf /usr/share/zoneinfo/UTC /etc/localtime
RUN dpkg-reconfigure -f noninteractive tzdata

ENTRYPOINT dotnet watch -p App/KafkaConsumer.csproj run --urls=http://+:5000
